using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Reflection;
using System.Reflection.Emit;

namespace RezerveBeliteHavaPeimaCS
{
    public partial class frmLogin : Form
    {
        public frmLogin()
        {
            InitializeComponent();
        }
        private void Btn_Cancel_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
        private void Btn_Login_Click(object sender, EventArgs e)
        {
            if (Txt_UserName.Text == "" || Txt_Pwa.Text == "")
            {
                MessageBox.Show("مقادیر فیلدها نمی توانند خالی باشند");
            }
            else
            {
                LSC_TADataContext db = new LSC_TADataContext();
                try
                {
                    tblUserInfo tblUsr = db.tblUserInfos.Single(n => n.UserName.Trim() == Txt_UserName.Text.Trim() && n.PassWord.Trim() == Txt_Pwa.Text.Trim());
                    this.Visible = false;
                    frmMdi frm = new frmMdi();
                    frm.Show();
                }
                catch
                {
                    MessageBox.Show("نام کاربری و کلمه عبور اشتباه وارد شده اند");
                }
            }
        }
    }
}